Sketchup二次开发之利用Ruby绘制直线

Sketchup二次开发之利用Ruby绘制直线

2013-03-16 19:41 by 精诚所至 金石为开, 1443 阅读, 0 评论, 收藏, 编辑

sketchup二次开发语言Ruby类由上至下分为APP,Model,Entities三大类,其中APP指的是Sketchup应用程序本身,Mode类指的是Sketchup模型文件,Entities类指各种实体,比如直线,圆弧等。向当前模型中添加实体的一般方法是先定义一个模型,ents=Sketchup.active_model.entities,取得当前模型的引用,然后利用entities的add方法添加各种实体。

下列语句以原点位中心,在xoy平面上绘制一个五角星形图案。

ents=Sketchup.active_model.entities
pt1=[0,1,0]
pt2=[0.588,-0.809,0]
pt3=[-0.951,0.309,0]
pt4=[0.951,0.309,0]
pt5=[-0.588,-0.809,0]
ents.add_line pt1,pt2
ents.add_line pt2,pt3
ents.add_line pt3,pt4
ents.add_line pt4,pt5
ents.add_line pt5,pt1

运行效果如下图所示。

sketchup-ruby

添加一个直线还是很简单的。

作者:codee
文章千古事,得失寸心知。


0
0
« 上一篇:Sketchup二次开发API之Command类
» 下一篇:Sketchup二次开发之layer图层控制

阅读更多
个人分类: Sketchup Ruby
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭